<?php
/*----------------------------------------------------------------------------------|  www.vdm.io  |----/
				Web+ 
/-------------------------------------------------------------------------------------------------------/

	@version		1.0.2
	@build			23rd March, 2021
	@created		14th February, 2020
	@package		CompilatorPlugin
	@subpackage		helper.php
	@author			Ionut M. Ionete <https://sphynxgames.com>	
	@copyright		Copyright (C) 2015. All Rights Reserved
	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
  ____  _____  _____  __  __  __      __       ___  _____  __  __  ____  _____  _  _  ____  _  _  ____ 
 (_  _)(  _  )(  _  )(  \/  )(  )    /__\     / __)(  _  )(  \/  )(  _ \(  _  )( \( )( ___)( \( )(_  _)
.-_)(   )(_)(  )(_)(  )    (  )(__  /(__)\   ( (__  )(_)(  )    (  )___/ )(_)(  )  (  )__)  )  (   )(  
\____) (_____)(_____)(_/\/\_)(____)(__)(__)   \___)(_____)(_/\/\_)(__)  (_____)(_)\_)(____)(_)\_) (__) 

/------------------------------------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');


/***[JCBGUI.joomla_module.class_helper_header.2.$$$$]***/
//Class Helper Header
if(!@include_once(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikashop'.DS.'helpers'.DS.'helper.php')){
  echo 'This module can not work without the Hikashop Component';
  return; 
}/***[/JCBGUI$$$$]***/


class ModHikaCartCheckoutSep3Helper
{

/***[JCBGUI.joomla_module.class_helper_code.2.$$$$]***/
// COD Class Helper Properties & Methods
public static function formatPrice($price) {
        $formated_price = number_format($price, 2, '.', '');
        return $formated_price;
    }

public static function &getCartDetails() {
        $cartClass = hikashop_get('class.cart');
        $cart = $cartClass->loadFullCart();

        $priceList = new stdClass();
        $priceList->price_with_tax = $cart->full_total->prices[0]->price_value_with_tax;
        $priceList->price_with_tax_without_shipping = $cart->full_total->prices[0]->price_value_without_shipping_with_tax;
        $priceList->shipping_tax = ($priceList->price_with_tax - $priceList->price_with_tax_without_shipping);
        foreach ($priceList AS $key => $value) {
            $priceList->$key = ModHikaCartCheckoutSep3Helper::formatPrice($value);
        }

        $orderDetails = new stdClass();
        $orderDetails->products = &$cart->products;
        $orderDetails->shipping_and_billing_address = &$cart->billing_address;
        $orderDetails->shipping_method = &$cart->shipping[0];
        $orderDetails->payment = &$cart->payment;
        $orderDetails->price = $priceList;

        return $orderDetails;
    }/***[/JCBGUI$$$$]***/

}
