<?php
/*----------------------------------------------------------------------------------|  www.vdm.io  |----/
				Web+ 
/-------------------------------------------------------------------------------------------------------/

	@version		1.0.2
	@build			23rd March, 2021
	@created		14th February, 2020
	@package		CompilatorPlugin
	@subpackage		default.php
	@author			Ionut M. Ionete <https://sphynxgames.com>	
	@copyright		Copyright (C) 2015. All Rights Reserved
	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
  ____  _____  _____  __  __  __      __       ___  _____  __  __  ____  _____  _  _  ____  _  _  ____ 
 (_  _)(  _  )(  _  )(  \/  )(  )    /__\     / __)(  _  )(  \/  )(  _ \(  _  )( \( )( ___)( \( )(_  _)
.-_)(   )(_)(  )(_)(  )    (  )(__  /(__)\   ( (__  )(_)(  )    (  )___/ )(_)(  )  (  )__)  )  (   )(  
\____) (_____)(_____)(_/\/\_)(____)(__)(__)   \___)(_____)(_/\/\_)(__)  (_____)(_)\_)(____)(_)\_) (__) 

/------------------------------------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');


?>

<!--[JCBGUI.joomla_module.default.2.$$$$]-->
<?php if (!empty($orderDetails)) { ?>

    <div class="hk-row-fluid evs-checkout-step-3">
        <div class="hkc-md-12 evs-step3 step-3-produse">
            <div class="label-title">Comanda de la Viaţă şi Sănătate</div>
            <?php foreach ($orderDetails->products as $product): ?>
                <div class="produs-pas-3"><?php echo $product->cart_product_quantity; ?> x <?php echo $product->product_name; ?> <span><?php echo number_format($product->prices[0]->price_value_with_tax, 2, '.', ''); ?></span> </div>
            <?php endforeach; ?>
            <div class="livrare">Cost livrare <span><?php echo $orderDetails->price->shipping_tax; ?></span></div>
        </div>

        <div class="hkc-md-4 evs-step3 step-3-billing">
            <div class="label-title">Date Facturare</div>
            <div class="label-sub-title"><?php echo ($orderDetails->shipping_and_billing_address->address_tip_persoana == 0 ? "Persoana fizică" : "Persoană juridică"); ?></div>
            <div class="step-3-option">
                <?php
                if ($orderDetails->shipping_and_billing_address->address_tip_persoana == 0) {
                    echo $orderDetails->shipping_and_billing_address->address_firstname." ".$orderDetails->shipping_and_billing_address->address_firstname->address_lastname." ";
                }else{
                    echo $orderDetails->shipping_and_billing_address->address_company." - ".$orderDetails->shipping_and_billing_address->address_company_cui." ";
                }
                if(isset($orderDetails->shipping_and_billing_address->address_telephone)){
                    $orderDetails->shipping_and_billing_address->address_telephone." ";
                }
                ?>
                <?php echo $orderDetails->shipping_and_billing_address->address_street." "; ?>
            </div>

        </div>

        <div class="hkc-md-4 evs-step3 step-3-livrare">
            <div class="label-title">Metoda de livrare</div>
            <div class="label-sub-title"><?php echo $orderDetails->shipping_method->shipping_name; ?></div>
            <div class="step-3-option">
                <?php
                if (isset($orderDetails->shipping_and_billing_address->address_firstname)) {
                    echo $orderDetails->shipping_and_billing_address->address_firstname." ";
                }
                if(isset($orderDetails->shipping_and_billing_address->address_lastname)){
                    echo $orderDetails->shipping_and_billing_address->address_lastname." ";
                }
                if(isset($orderDetails->shipping_and_billing_address->address_company)){
                    echo $orderDetails->shipping_and_billing_address->address_company." - ".$orderDetails->shipping_and_billing_address->address_company_cui." ";
                }
                if(isset($orderDetails->shipping_and_billing_address->address_telephone)){
                    $orderDetails->shipping_and_billing_address->address_telephone." ";
                }
                ?>
                <?php echo $orderDetails->shipping_and_billing_address->address_street." "; ?>
            </div>
        </div>

        <div class="hkc-md-4 evs-step3 step-3-plata">
            <div class="label-title">Metoda de plată</div>    
            <div>Optiunea selectata</div>
        </div>
    </div>
    <div class="hkc-md-6 sumar-comanda-btn">
        <button id="hikabtn_checkout_next" type="submit" class="hikabtn hikabtn-success hikabtn_checkout_next next-step-btn" onclick="return window.checkout.submitStep(this);">Continuă <i class="fa fa-angle-double-right"></i></button>
    </div>

<?php } ?><!--[/JCBGUI$$$$]-->

